/* photo viewer */
@-webkit-keyframes fadeIn {
    from {
	opacity: 0;
    }
    to {
	opacity: 1;
    }
}
@keyframes fadeIn {
    from {
	opacity: 0;
    }
    to {
	opacity: 1;
    }
}

div.gallery {
    display: flex;
    flex-grow: 2;
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: space-between;
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
}

div.gallery > figure {
    margin: 0;
    padding: 0;
    flex: 27%;
}

div.gallery.one > figure {
    flex: 100%;
}

div.gallery.two > figure {
    flex: 48%;
}

.lightbox {
    background-color: #000000e0;
    color: #ffffffe0;
    display: none;
    font-size: 32px;
    font-weight: 900;
    height: 100%;
    left: 0;
    overflow: auto;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1;
}

.lightbox a:link,
.lightbox a:visited {
    color: #ffffffe0;
    text-align: center;
    text-decoration: none;
    width: 10%;
}

.lightbox > a:link,
.lightbox > a:visited {
    position: fixed;
    right: 0px;
    top: 20px;
    z-index: 2;
}

.lightbox > div {
    align-items: center;
    display: flex;
    height: 100%;
    justify-content: space-between;
    width: 100%;
}

.lightbox img {
    -webkit-animation: fadeIn 0.5s;
    animation: fadeIn 0.5s;
    max-height: 90%;
    max-width: 80%;
    width: auto;
}
/* /photoviewer */
